<div class="row">
  <div class="col-lg-10 col-xl-8 offset-lg-1 offset-xl-2">
    <h1>Nouveau bureau</h1>
    <form [formGroup]="formulaire" (ngSubmit)="soumettre()" #form='ngForm'>
      <div class="form-floating mb-3">
        <input id="code" type="text" class="form-control" formControlName="code"
               placeholder="Code"
               [class.is-invalid]="code?.invalid && form.submitted">
        <label for="code" class="form-label">Code</label>
        <div class="invalid-feedback">
          <div *ngIf="code?.errors?.['required']">
            Le code du bureau est requis
          </div>
        </div>
      </div>

      <div class="form-floating mb-3">
        <select id="etageId" class="form-select" formControlName="etageId"
                [class.is-invalid]="etageId?.invalid && form.submitted">
          <option value="">Veuillez sélectionner</option>
          <option *ngFor="let etage of etages" [ngValue]="etage.id">{{ etage.nom }}</option>
        </select>
        <label for="etageId" class="form-label">Étage</label>
        <div class="invalid-feedback">
          <div *ngIf="etageId?.errors?.['required']">
            Veuillez préciser l'étage auquel se trouve le bureau.
          </div>
        </div>
      </div>

      <div class="form-floating mb-3">
        <select id="capacite" class="form-select" formControlName="capacite"
                [class.is-invalid]="capacite?.invalid && form.submitted">
          <option value="">Veuillez sélectionner</option>
          <option *ngFor="let capacite of [1,2,3,4,5,6,7,8,9,10]" [ngValue]="capacite">{{ capacite }}</option>
        </select>
        <label for="capacite" class="form-label">Capacité du bureau</label>
        <div class="invalid-feedback">
          <div *ngIf="capacite?.errors?.['required']">
            Veuillez préciser combien de personnes partagent le même bureau (pièce).
          </div>
        </div>
      </div>

      <div class="form-floating mb-3">
        <textarea id="description" class="form-control" formControlName="description"
                  placeholder="Description"
                  [class.is-invalid]="description?.invalid && form.submitted">
        </textarea>
        <label for="description" class="form-label">Description</label>
        <div class="invalid-feedback">
        </div>
      </div>

      <div class="form-check mb-3">
        <input class="form-check-input" type="checkbox" id="estPrive"formControlName="estPrive"
               [class.is-invalid]="estPrive?.invalid && form.submitted">
        <label class="form-check-label" for="estPrive">
          Il s'agit d'un bureau dans un espace privé
        </label>
      </div>

      <div class="mb-3">
        <label for="image" class="form-label">Sélectionner une image</label>
        <input class="form-control" type="file" id="image"
               (change)="encodeImage($event)">
        <img class="img-thumbnail mt-3" *ngIf="image && image.value !== ''" src="{{ image.value }}" />
      </div>

      <button type="submit" class="btn btn-primary">Soumettre</button>
      <button type="button" class="btn btn-secondary ms-2" routerLink="/admin">Annuler</button>
    </form>
  </div>
</div>
